summaryrefslogtreecommitdiff
path: root/CopyToFDD.sh
diff options
context:
space:
mode:
authorAlexis211 <alexis211@gmail.com>2009-11-25 18:42:44 +0100
committerAlexis211 <alexis211@gmail.com>2009-11-25 18:42:44 +0100
commita40fe1166ab1db972a8ca0380d603c4d90eede62 (patch)
treef92c2c02d9d78d68f7c116dff9ac508895f757af /CopyToFDD.sh
parentf367fe4e5a7712bafc121ce5c228f15e90fc5c93 (diff)
downloadMelon-a40fe1166ab1db972a8ca0380d603c4d90eede62.tar.gz
Melon-a40fe1166ab1db972a8ca0380d603c4d90eede62.zip
Re-organized file system stuff.
Diffstat (limited to 'CopyToFDD.sh')
-rwxr-xr-xCopyToFDD.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/CopyToFDD.sh b/CopyToFDD.sh
new file mode 100755
index 0000000..5d6a28e
--- /dev/null
+++ b/CopyToFDD.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# We assume Mount/ is the directory where the image is mounted, and Source/ is the directory with all the compiled files
+
+# Update GRUB's menu.cfg
+cp Grub-menu-fdd.cfg Mount/boot/menu.cfg
+
+# Create directories
+mkdir Mount/{System,Apps,Mount}
+mkdir Mount/System/{Applications,Logs,Configuration}
+
+# Copy system files
+cp Source/Kernel/Ressources/Configuration/* Mount/System/Configuration
+cp Source/Applications/PaperWork/PaperWork Mount/System/Applications/PaperWork.app
+cp Source/Applications/Shell/Shell Mount/Apps/Shell.app
+
+# Copy demo apps
+cp Source/Applications/Demos/GOL Mount/Apps/GOL.app
+cp Source/Applications/Demos/asmdemo Mount/Apps/ASM.dem
+
+# Copy kernel and ramfs
+cp Source/Kernel/Melon.ke Mount/System
+cp Init.rfs Mount/System
+
+#echo "*** Launching a BASH shell, if you want to do any maintenance ***"
+#bash || exit 0